com.aliyun.svideosdk.common.struct.effect

## Class TrackEffectFilter.Builder

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.TrackEffectFilter.Builder

- Enclosing class:
    TrackEffectFilter

      public static class TrackEffectFilter.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TrackEffectFilter` | `build()`
    `TrackEffectFilter.Builder` | `duration(long duration, java.util.concurrent.TimeUnit timeUnit)` 设置在轨道的持续时间
    `TrackEffectFilter.Builder` | `effectConfig(EffectConfig effectConfig)` 设置自定义特效json实体
    `TrackEffectFilter.Builder` | `resId(int id)` 设置资源id
    `TrackEffectFilter.Builder` | `source(Source source)` 设置资源
    `TrackEffectFilter.Builder` | `startTime(long startTime, java.util.concurrent.TimeUnit timeUnit)` 设置在轨道的开始时间

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### startTime

          public TrackEffectFilter.Builder startTime(long startTime,
                                                     java.util.concurrent.TimeUnit timeUnit)

      设置在轨道的开始时间
      Parameters:
        `startTime` - 开始时间
        `timeUnit` - 时间单位
      Returns:
        this

    - #### duration

          public TrackEffectFilter.Builder duration(long duration,
                                                    java.util.concurrent.TimeUnit timeUnit)

      设置在轨道的持续时间
      Parameters:
        `timeUnit` - 时间单位
      Returns:
        this

    - #### source

          public TrackEffectFilter.Builder source(Source source)

      设置资源
      Parameters:
        `source` - 资源
      Returns:
        this

    - #### effectConfig

          public TrackEffectFilter.Builder effectConfig(EffectConfig effectConfig)

      设置自定义特效json实体
      Parameters:
        `mEffectConfig` - `EffectConfig`
      Returns:
        this

    - #### resId

          public TrackEffectFilter.Builder resId(int id)

      设置资源id
      Returns:
        this

    - #### build

          public TrackEffectFilter build()